<?php
define('EmpireCMSAdmin','1');
require("../../class/connect.php");
require("../../class/db_sql.php");
require("../../class/functions.php");
$link=db_connect();
$empire=new mysqlquery();
$editor=1;
//验证用户
$lur=is_login();
$logininid=$lur['userid'];
$loginin=$lur['username'];
$loginrnd=$lur['rnd'];
$loginlevel=$lur['groupid'];
$loginadminstyleid=$lur['adminstyleid'];
//验证权限
//CheckLevel($logininid,$loginin,$classid,"table");
$url="<a href='ListTable.php'>管理数据表</a>";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>管理数据表</title>
<link href="../adminstyle/<?=$loginadminstyleid?>/adminstyle.css" rel="stylesheet" type="text/css">
</head>

<body>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr> 
    <td width="50%">位置： 
      <?=$url?>
    </td>
    <td></td>
  </tr>
</table>
<br>
<?
for($i=2;$i>=0;$i--){

?>  
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
  <tr class="header"> 
    <td width="5%" height="25"><div align="center">ID</div></td>
    <td width="35%" height="25"><div align="center">表名称</div></td>
    <td width="32%"><div align="center">管理</div></td>
    <td width="28%" height="25"><div align="center">说明</div></td>
  </tr>
  <?php
  $sql=$empire->query("select tid,tname,tbname,isdefault from {$dbtbpre}enewstable where type=$i order by tid");
  while($r=$empire->fetch($sql))
  {
	   $bgcolor="#ffffff";
		$movejs=' onmouseout="this.style.backgroundColor=\'#ffffff\'" onmouseover="this.style.backgroundColor=\'#C3EFFF\'"';
		$yesd='';
		$moren='';
		$dc0='';
	//默认表
	if($r[isdefault] && $i==1)
	{
		$bgcolor="#ffffff";
		$movejs='';
		$yesd='<font color="red">√</font>';
		$setd='';
		$moren='<font color="green"><b>已是当前表</b></font>';
		$dc0="[<a href='LoadInM.php'><strong>导入模型</strong></a>]";
	}
	if(!$r[isdefault] && $i==1)
	{
		$moren='[<a href="../ecmsmod.php?enews=DefaultTable&tid='.$r[tid].'" onclick="return confirm(\'确认要设置?\');"><strong>设为当前表</strong></a>] &nbsp;';	
	}
	if($i==0){
		$ed='<font color="gray">(系统默认)</font>';
	}elseif($i==1){
		if($r[tid]==2){
			$ed='<font color="gray">(系统默认)</font>';
		}else{
			$ed='';
		}
	}else{
		$ed='<font color="gray">(系统默认)</font>';
	}
	$dc='';
	if($i==1){
		$dc="[<a href='ListM.php?tid=".$r[tid]."&tbname=".$r[tbname]."&enews=LoadOutMod&mid=".$r[tid]."' onclick=\"return confirm('确认要导出?');\"><strong>导出模型</strong></a>]&nbsp;&nbsp;&nbsp;";
	}
	$editb='';
	if($r[tid]>3){
		$editb='[<a href="../ecmsmod.php?enews=DelTable&tid='.$r[tid].'" onclick="return confirm(\'确认要删除?\');"><strong>删除</strong></a>]';
	}
  ?>
  <tr bgcolor="<?=$bgcolor?>"<?=$movejs?>> 
    <td height="32"><div align="center"> 
        <?=$r[tid]?>
      </div></td>
    <td height="25"> 
      <?=$r[tname]?>
      &nbsp;( <?=$dbtbpre?>ecms_<b><?=$r[tbname]?></b> )  <?=$yesd?></td>
    <td><div align="">

<? if($i!=1){?>

	[<a href="#ecms" onclick="window.open('ListF.php?tid=<?=$r[tid]?>&tbname=<?=$r[tbname]?>','','width=700,height=560,scrollbars=yes,top=70,left=100,resizable=yes');"><strong>管理字段</strong></a>] &nbsp;
	[<a href='AddM.php?tid=<?=$r[tid]?>&tbname=<?=$r[tbname]?>&enews=EditM&mid=<?=$r[tid]?>'><strong>修改模型</strong></a>]&nbsp;
<?}?>

<? if($r[tid]==2){echo $dc.$dc0;}?>

	</div></td>
    <td height="25"><div align="left"> 
	    <?=$ed?>
		<?=$moren?>
		<?=$editb?>
        
        
      </div></td>
  </tr>
  <?php
	}
	?>
</table>
<br>
<?
		}
?>

</body>
</html>
<?php
db_close();
$empire=null;
?>
